LAGO_URL="https://api.getlago.com"
ORDER_FORM_ID="__ORDER_FORM_ID__"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/order_forms/$ORDER_FORM_ID" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.order_forms.find('__ORDER_FORM_ID__')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.order_forms.get('__ORDER_FORM_ID__')
await client.orderForms.findOrderForm("__ORDER_FORM_ID__");
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
orderForm, err := lagoClient.OrderForm().Get(ctx, "__ORDER_FORM_ID__")
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderForm is *lago.OrderForm
fmt.Println(orderForm)
}
{
"order_form": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"number": "OF-2026-0001",
"status": "generated",
"void_reason": "manual",
"expires_at": "2026-06-30T23:59:59Z",
"signed_at": "2026-04-29T08:59:51Z",
"voided_at": "2026-04-29T08:59:51Z",
"signed_document_url": "https://api.getlago.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMi/OF-2026-0001",
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_quote_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_quote_version_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"created_at": "2026-04-29T08:59:51Z",
"updated_at": "2026-04-29T08:59:51Z"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}Order forms
Retrieve an order form
This endpoint retrieves a specific order form. This is a premium feature.
GET
/
order_forms
/
{lago_id}
LAGO_URL="https://api.getlago.com"
ORDER_FORM_ID="__ORDER_FORM_ID__"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/order_forms/$ORDER_FORM_ID" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.order_forms.find('__ORDER_FORM_ID__')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.order_forms.get('__ORDER_FORM_ID__')
await client.orderForms.findOrderForm("__ORDER_FORM_ID__");
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
orderForm, err := lagoClient.OrderForm().Get(ctx, "__ORDER_FORM_ID__")
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderForm is *lago.OrderForm
fmt.Println(orderForm)
}
{
"order_form": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"number": "OF-2026-0001",
"status": "generated",
"void_reason": "manual",
"expires_at": "2026-06-30T23:59:59Z",
"signed_at": "2026-04-29T08:59:51Z",
"voided_at": "2026-04-29T08:59:51Z",
"signed_document_url": "https://api.getlago.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMi/OF-2026-0001",
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_quote_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_quote_version_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"created_at": "2026-04-29T08:59:51Z",
"updated_at": "2026-04-29T08:59:51Z"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}LAGO_URL="https://api.getlago.com"
ORDER_FORM_ID="__ORDER_FORM_ID__"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/order_forms/$ORDER_FORM_ID" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.order_forms.find('__ORDER_FORM_ID__')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.order_forms.get('__ORDER_FORM_ID__')
await client.orderForms.findOrderForm("__ORDER_FORM_ID__");
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
orderForm, err := lagoClient.OrderForm().Get(ctx, "__ORDER_FORM_ID__")
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderForm is *lago.OrderForm
fmt.Println(orderForm)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier assigned to the order form within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the order form's record within the Lago system.
Example:
"1a901a90-1a90-1a90-1a90-1a901a901a90"
Response
Order form
Show child attributes
Show child attributes
Was this page helpful?
⌘I